# Kreeck - Git Contribution Analyser

Kreeck is a powerful tool designed to help developers and project managers track Git contributions, generate detailed reports, and motivate contributors through gamification. Whether you are managing a large open-source project or a small team, Kreeck provides insightful analytics to enhance collaboration and productivity.

## Features

### 1. Commit Frequency Analysis

- **Visualize Commit Activity**: Generate charts that display commit frequency over time, helping you identify peak activity periods.
- **Highlight Active Contributors**: See which contributors are most active and during what times.

### 2. File Type Contributions

- **Analyze Contributions by File Type**: Break down contributions by file types such as Python, JavaScript, HTML, etc.
- **Identify Specialized Contributions**: Understand which contributors are working on specific parts of the project.

### 3. Commit Messages Analysis

- **Pattern and Keyword Analysis**: Analyze commit messages for common patterns and keywords.
- **Sentiment Analysis**: Gauge the sentiment of commit messages to understand the team’s mood and focus.

### 4. Top Commits

- **Identify Significant Commits**: Highlight the most significant commits based on the number of lines changed or important keywords.
- **Detailed Commit Breakdown**: Provide a detailed view of the top commits and their impact on the project.

### 5. Gamification

- **Motivate Contributors**: Introduce gamification elements like badges and leaderboards to motivate contributors.
- **Recognize Achievements**: Award badges (e.g., Gold, Silver, Bronze) based on the number of lines contributed.

### 6. Integration with CI/CD

- **Automate Report Generation**: Integrate with CI/CD pipelines to run analysis automatically after each build.
- **Real-time Insights**: Provide real-time insights into contributions and code quality.

### 7. Historical Comparison

- **Track Progress Over Time**: Compare current contribution data with historical data to show trends and progress.
- **Identify Long-term Contributors**: Highlight long-term contributors and changes in contribution patterns.

## Installation

To install Kreeck, use pip:

```bash
pip install kreeck
